Manifest-Version: 1.0
Bnd-LastModified: 1749106969428
Bundle-ClassPath: .,lib/httpclient-4.5.13.jar,lib/httpcore-4.4.14.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Implementation
Bundle-SymbolicName: com.liferay.layout.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.85.hotfix-10007-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.asset.kernel;version="1.1",com.liferay.asset.kernel.model;version=
 "3.6",com.liferay.asset.kernel.service;version="2.12",com.liferay.cou
 nter.kernel.service;version="2.1",com.liferay.exportimport.content.pr
 ocessor;version="1.0",com.liferay.exportimport.data.handler.base;vers
 ion="1.0",com.liferay.exportimport.kernel.lar;version="3.7",com.lifer
 ay.exportimport.kernel.staging;version="2.3",com.liferay.exportimport
 .kernel.xstream;version="1.0",com.liferay.exportimport.lar;version="1
 .0",com.liferay.exportimport.staged.model.repository;version="1.1",co
 m.liferay.fragment.model;version="2.12",com.liferay.fragment.processo
 r;version="3.3",com.liferay.fragment.renderer;version="1.9",com.lifer
 ay.fragment.service;version="2.12",com.liferay.friendly.url.model;ver
 sion="2.2",com.liferay.friendly.url.service;version="1.6",com.liferay
 .layout.adaptive.media;version="1.0",com.liferay.layout.admin.kernel.
 util;version="1.2",com.liferay.layout.crawler;version="1.0",com.lifer
 ay.layout.exception;version="1.0",com.liferay.layout.friendly.url;ver
 sion="1.0",com.liferay.layout.list.retriever;version="1.3",com.lifera
 y.layout.model;version="1.1",com.liferay.layout.page.template.model;v
 ersion="2.5",com.liferay.layout.page.template.serializer;version="1.0
 ",com.liferay.layout.page.template.service;version="3.7",com.liferay.
 layout.security.permission.resource;version="1.0",com.liferay.layout.
 seo.model;version="2.2",com.liferay.layout.seo.service;version="1.9",
 com.liferay.layout.service;version="1.4",com.liferay.layout.set.model
 .adapter;version="2.0",com.liferay.layout.util;version="2.1",com.life
 ray.layout.util.structure;version="1.13",com.liferay.layout.util.temp
 late;version="2.1",com.liferay.osgi.service.tracker.collections.map;v
 ersion="2.2",com.liferay.petra.function;version="1.5",com.liferay.pet
 ra.reflect;version="1.4",com.liferay.petra.string;version="1.5",com.l
 iferay.portal.configuration.metatype.annotations;version="1.3",com.li
 feray.portal.configuration.metatype.bnd.util;version="2.0",com.lifera
 y.portal.kernel.comment;version="3.0",com.liferay.portal.kernel.dao.o
 rm;version="9.8",com.liferay.portal.kernel.exception;version="9.7",co
 m.liferay.portal.kernel.json;version="8.11",com.liferay.portal.kernel
 .language;version="8.3",com.liferay.portal.kernel.log;version="7.0",c
 om.liferay.portal.kernel.model;version="5.7",com.liferay.portal.kerne
 l.model.adapter;version="3.1",com.liferay.portal.kernel.model.adapter
 .builder;version="1.0",com.liferay.portal.kernel.model.impl;version="
 3.4",com.liferay.portal.kernel.portlet;version="10.6",com.liferay.por
 tal.kernel.resource.bundle;version="1.0",com.liferay.portal.kernel.se
 arch;version="9.7",com.liferay.portal.kernel.search.filter;version="1
 .0",com.liferay.portal.kernel.search.highlight;version="1.0",com.life
 ray.portal.kernel.security.auth;version="2.7",com.liferay.portal.kern
 el.security.permission;version="3.5",com.liferay.portal.kernel.securi
 ty.permission.resource;version="1.1",com.liferay.portal.kernel.servic
 e;version="4.21",com.liferay.portal.kernel.service.permission;version
 ="2.0",com.liferay.portal.kernel.servlet;version="8.6",com.liferay.po
 rtal.kernel.theme;version="3.2",com.liferay.portal.kernel.transaction
 ;version="8.1",com.liferay.portal.kernel.util;version="10.42",com.lif
 eray.portal.kernel.workflow;version="9.6",com.liferay.portal.kernel.x
 ml;version="7.0",com.liferay.portal.model.impl,com.liferay.portal.sea
 rch.batch;version="1.0",com.liferay.portal.search.query;version="1.6"
 ,com.liferay.portal.search.spi.model.index.contributor;version="1.1",
 com.liferay.portal.search.spi.model.index.contributor.helper;version=
 "1.0",com.liferay.portal.search.spi.model.query.contributor;version="
 1.1",com.liferay.portal.search.spi.model.query.contributor.helper;ver
 sion="1.1",com.liferay.portal.search.spi.model.registrar;version="1.3
 ",com.liferay.portal.search.spi.model.registrar.contributor;version="
 1.0",com.liferay.portal.search.spi.model.result.contributor;version="
 1.0",com.liferay.portal.service.impl,com.liferay.portal.theme,com.lif
 eray.portal.util;version="4.30",com.liferay.portal.workflow.definitio
 n.link.update.handler;version="1.0",com.liferay.portlet.exportimport.
 staging,com.liferay.portlet.layoutsadmin.util,com.liferay.segments.mo
 del;version="1.4",com.liferay.segments.service;version="1.12",com.lif
 eray.sites.kernel.util;version="1.4",com.liferay.staging;version="1.1
 ",com.liferay.staging.model.listener;version="1.0",com.liferay.xstrea
 m.configurator;version="1.2",javax.crypto,javax.crypto.spec,javax.nam
 ing,javax.naming.directory,javax.naming.ldap,javax.net,javax.net.ssl,
 javax.portlet,javax.security.auth.x500,javax.servlet,javax.servlet.ht
 tp,org.apache.commons.codec.binary,org.apache.commons.logging,org.apa
 che.felix.service.command;version="1.0",org.ietf.jgss,org.jsoup;versi
 on="1.15",org.jsoup.nodes;version="1.15",org.jsoup.select;version="1.
 15",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.internal.configuration,com.liferay
 .layout.internal.crawler,com.liferay.layout.internal.exportimport.dat
 a.handler,com.liferay.layout.internal.exportimport.staged.model.repos
 itory,com.liferay.layout.internal.layout.admin.util,com.liferay.layou
 t.internal.list.retriever,com.liferay.layout.internal.model.adapter,c
 om.liferay.layout.internal.model.adapter.builder,com.liferay.layout.i
 nternal.model.listener,com.liferay.layout.internal.osgi.commands,com.
 liferay.layout.internal.search,com.liferay.layout.internal.search.spi
 .model.index.contributor,com.liferay.layout.internal.search.spi.model
 .query.contributor,com.liferay.layout.internal.search.spi.model.resul
 t.contributor,com.liferay.layout.internal.search.util,com.liferay.lay
 out.internal.security.permission,com.liferay.layout.internal.security
 .permission.resource,com.liferay.layout.internal.template.util,com.li
 feray.layout.internal.util,com.liferay.layout.internal.workflow,com.l
 iferay.layout.internal.workflow.definition.link.update.handler,com.li
 feray.layout.internal.xstream.configurator,content,lib,mozilla,org.ap
 ache.http.auth,org.apache.http.auth.params,org.apache.http.client,org
 .apache.http.client.config,org.apache.http.client.entity,org.apache.h
 ttp.client.methods,org.apache.http.client.params,org.apache.http.clie
 nt.protocol,org.apache.http.client.utils,org.apache.http.conn,org.apa
 che.http.conn.params,org.apache.http.conn.routing,org.apache.http.con
 n.scheme,org.apache.http.conn.socket,org.apache.http.conn.ssl,org.apa
 che.http.conn.util,org.apache.http.cookie,org.apache.http.cookie.para
 ms,org.apache.http.impl.auth,org.apache.http.impl.client,org.apache.h
 ttp.impl.conn,org.apache.http.impl.conn.tsccm,org.apache.http.impl.co
 okie,org.apache.http.impl.execchain,org.apache.http,org.apache.http.a
 nnotation,org.apache.http.concurrent,org.apache.http.config,org.apach
 e.http.entity,org.apache.http.impl,org.apache.http.impl.bootstrap,org
 .apache.http.impl.entity,org.apache.http.impl.io,org.apache.http.impl
 .pool,org.apache.http.io,org.apache.http.message,org.apache.http.para
 ms,org.apache.http.pool,org.apache.http.protocol,org.apache.http.ssl,
 org.apache.http.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .exportimport.kernel.lar.StagedModelDataHandler";uses:="com.liferay.e
 xportimport.kernel.lar",osgi.service;objectClass:List<String>="com.li
 feray.exportimport.kernel.lar.StagedModelDataHandler,com.liferay.layo
 ut.internal.exportimport.data.handler.LayoutClassedModelUsageStagedMo
 delDataHandler";uses:="com.liferay.exportimport.kernel.lar,com.lifera
 y.layout.internal.exportimport.data.handler",osgi.service;objectClass
 :List<String>="com.liferay.exportimport.staged.model.repository.Stage
 dModelRepository";uses:="com.liferay.exportimport.staged.model.reposi
 tory",osgi.service;objectClass:List<String>="com.liferay.exportimport
 .staged.model.repository.StagedModelRepository,com.liferay.layout.int
 ernal.exportimport.staged.model.repository.StagedLayoutSetStagedModel
 Repository";uses:="com.liferay.exportimport.staged.model.repository,c
 om.liferay.layout.internal.exportimport.staged.model.repository",osgi
 .service;objectClass:List<String>="com.liferay.layout.admin.kernel.ut
 il.Sitemap";uses:="com.liferay.layout.admin.kernel.util",osgi.service
 ;objectClass:List<String>="com.liferay.layout.admin.kernel.util.Sitem
 apURLProvider";uses:="com.liferay.layout.admin.kernel.util",osgi.serv
 ice;objectClass:List<String>="com.liferay.layout.crawler.LayoutCrawle
 r";uses:="com.liferay.layout.crawler",osgi.service;objectClass:List<S
 tring>="com.liferay.layout.internal.osgi.commands.LayoutOSGiCommands"
 ;uses:="com.liferay.layout.internal.osgi.commands",osgi.service;objec
 tClass:List<String>="com.liferay.layout.list.retriever.LayoutListRetr
 ieverTracker";uses:="com.liferay.layout.list.retriever",osgi.service;
 objectClass:List<String>="com.liferay.layout.list.retriever.ListObjec
 tReferenceFactoryTracker";uses:="com.liferay.layout.list.retriever",o
 sgi.service;objectClass:List<String>="com.liferay.layout.security.per
 mission.resource.LayoutContentModelResourcePermission";uses:="com.lif
 eray.layout.security.permission.resource",osgi.service;objectClass:Li
 st<String>="com.liferay.layout.util.BulkLayoutConverter";uses:="com.l
 iferay.layout.util",osgi.service;objectClass:List<String>="com.lifera
 y.layout.util.LayoutCopyHelper";uses:="com.liferay.layout.util",osgi.
 service;objectClass:List<String>="com.liferay.layout.util.template.La
 youtConverter";uses:="com.liferay.layout.util.template",osgi.service;
 objectClass:List<String>="com.liferay.layout.util.template.LayoutConv
 erterRegistry";uses:="com.liferay.layout.util.template",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.model.ModelListen
 er";uses:="com.liferay.portal.kernel.model",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.model.adapter.builder.ModelAd
 apterBuilder";uses:="com.liferay.portal.kernel.model.adapter.builder"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.sea
 rch.BaseSearcher";uses:="com.liferay.portal.kernel.search",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.kernel.security.permi
 ssion.PermissionUpdateHandler";uses:="com.liferay.portal.kernel.secur
 ity.permission",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.security.permission.resource.ModelResourcePermission";use
 s:="com.liferay.portal.kernel.security.permission.resource",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.workflow.Work
 flowHandler";uses:="com.liferay.portal.kernel.workflow",osgi.service;
 objectClass:List<String>="com.liferay.portal.search.spi.model.index.c
 ontributor.ModelDocumentContributor";uses:="com.liferay.portal.search
 .spi.model.index.contributor",osgi.service;objectClass:List<String>="
 com.liferay.portal.search.spi.model.index.contributor.ModelIndexerWri
 terContributor";uses:="com.liferay.portal.search.spi.model.index.cont
 ributor",osgi.service;objectClass:List<String>="com.liferay.portal.se
 arch.spi.model.query.contributor.KeywordQueryContributor";uses:="com.
 liferay.portal.search.spi.model.query.contributor",osgi.service;objec
 tClass:List<String>="com.liferay.portal.search.spi.model.query.contri
 butor.ModelPreFilterContributor";uses:="com.liferay.portal.search.spi
 .model.query.contributor",osgi.service;objectClass:List<String>="com.
 liferay.portal.search.spi.model.result.contributor.ModelSummaryContri
 butor";uses:="com.liferay.portal.search.spi.model.result.contributor"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.workflow.d
 efinition.link.update.handler.WorkflowDefinitionLinkUpdateHandler";us
 es:="com.liferay.portal.workflow.definition.link.update.handler",osgi
 .service;objectClass:List<String>="com.liferay.portlet.layoutsadmin.u
 til.LayoutsTree";uses:="com.liferay.portlet.layoutsadmin.util",osgi.s
 ervice;objectClass:List<String>="com.liferay.xstream.configurator.XSt
 reamConfigurator";uses:="com.liferay.xstream.configurator",liferay.re
 source.bundle;bundle.symbolic.name="com.liferay.layout.impl";resource
 .bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.asset.kernel.service.AssetCategoryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetTagLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.counter.kernel.service.CounterLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.exportimport.content.processor.ExportImportContentProcessor)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ex
 portimport.kernel.lar.ExportImportHelper)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.exportimport.kernel.lar.Export
 ImportProcessCallbackRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.exportimport.kernel.staging.Staging)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.exporti
 mport.lar.ThemeExporter)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.exportimport.lar.ThemeImporter)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.exportimport.stage
 d.model.repository.StagedModelRepository)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.fragment.processor.PortletRegi
 stry)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.fragment.renderer.FragmentRendererController)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.fragment.service.Fragme
 ntEntryLinkLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.friendly.url.service.FriendlyURLEntryLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.admin.kernel.util.Sitemap)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.layout.crawler.LayoutCrawler)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.fri
 endly.url.LayoutFriendlyURLEntryHelper)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.layout.internal.exportimport.sta
 ged.model.repository.StagedLayoutSetStagedModelRepository)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.layout.list.r
 etriever.LayoutListRetriever)";effective:=active;resolution:=optional
 ;cardinality:=multiple,osgi.service;filter:="(objectClass=com.liferay
 .layout.list.retriever.ListObjectReferenceFactory)";effective:=active
 ;resolution:=optional;cardinality:=multiple,osgi.service;filter:="(ob
 jectClass=com.liferay.layout.page.template.serializer.LayoutStructure
 ItemJSONSerializer)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.layout.page.template.service.LayoutPageTemplateStruc
 tureLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.layout.security.permission.resource.LayoutContentModel
 ResourcePermission)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.layout.seo.service.LayoutSEOEntryLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.s
 ervice.LayoutClassedModelUsageLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.layout.util.LayoutCopyHelper
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.l
 ayout.util.template.LayoutConverter)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.layout.util.template.LayoutConverte
 rRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.comment.CommentManager)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.Clas
 sNameLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.CompanyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.GroupLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ImageLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.LayoutLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.LayoutRevision
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.LayoutService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.La
 youtSetBranchLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.LayoutSetLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.LayoutSetPrototypeLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .PortletLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.PortletPreferencesLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.ResourcePermissionLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.RoleLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.UserLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.WorkflowInstanceLinkLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.permis
 sion.LayoutPermission)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.util.Html)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Http)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.util.Portal)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.xml.SAXReader)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.search.batch.Dyna
 micQueryBatchIndexingActionableFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.search.query.QueryHelper)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.search.spi.model.index.contributor.ModelIndexerWriterContributor
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.search.spi.model.registrar.ModelSearchRegistrarHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sear
 ch.spi.model.result.contributor.ModelSummaryContributor)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.service.
 impl.LayoutLocalServiceHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.segments.service.SegmentsExperienceLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.sites.kernel.util.Sites)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.staging.StagingGroupHelper)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.staging.model.lis
 tener.StagingModelListener)";effective:=active,osgi.contract;osgi.con
 tract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.
 0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contrac
 t=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(v
 ersion=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.internal.crawler.Layout
 CrawlerImpl.xml,OSGI-INF/com.liferay.layout.internal.exportimport.dat
 a.handler.LayoutClassedModelUsageStagedModelDataHandler.xml,OSGI-INF/
 com.liferay.layout.internal.exportimport.data.handler.StagedLayoutSet
 StagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.internal.expor
 timport.staged.model.repository.LayoutClassedModelUsageStagedModelRep
 ository.xml,OSGI-INF/com.liferay.layout.internal.exportimport.staged.
 model.repository.StagedLayoutSetStagedModelRepository.xml,OSGI-INF/co
 m.liferay.layout.internal.layout.admin.util.LayoutSitemapURLProvider.
 xml,OSGI-INF/com.liferay.layout.internal.list.retriever.LayoutListRet
 rieverTrackerImpl.xml,OSGI-INF/com.liferay.layout.internal.list.retri
 ever.ListObjectReferenceTrackerImpl.xml,OSGI-INF/com.liferay.layout.i
 nternal.model.adapter.builder.LayoutSetModelAdapterBuilder.xml,OSGI-I
 NF/com.liferay.layout.internal.model.adapter.builder.StagedLayoutSetM
 odelAdapterBuilder.xml,OSGI-INF/com.liferay.layout.internal.model.lis
 tener.LayoutFriendlyURLModelListener.xml,OSGI-INF/com.liferay.layout.
 internal.model.listener.LayoutModelListener.xml,OSGI-INF/com.liferay.
 layout.internal.model.listener.LayoutSetStagingModelListener.xml,OSGI
 -INF/com.liferay.layout.internal.osgi.commands.LayoutOSGiCommands.xml
 ,OSGI-INF/com.liferay.layout.internal.search.LayoutSearchRegistrar.xm
 l,OSGI-INF/com.liferay.layout.internal.search.LayoutSearcher.xml,OSGI
 -INF/com.liferay.layout.internal.search.spi.model.index.contributor.L
 ayoutModelDocumentContributor.xml,OSGI-INF/com.liferay.layout.interna
 l.search.spi.model.index.contributor.LayoutModelIndexerWriterContribu
 tor.xml,OSGI-INF/com.liferay.layout.internal.search.spi.model.query.c
 ontributor.LayoutKeywordQueryContributor.xml,OSGI-INF/com.liferay.lay
 out.internal.search.spi.model.query.contributor.LayoutModelPreFilterC
 ontributor.xml,OSGI-INF/com.liferay.layout.internal.search.spi.model.
 result.contributor.LayoutModelSummaryContributor.xml,OSGI-INF/com.lif
 eray.layout.internal.security.permission.LayoutPermissionUpdateHandle
 r.xml,OSGI-INF/com.liferay.layout.internal.security.permission.resour
 ce.LayoutContentModelResourcePermissionImpl.xml,OSGI-INF/com.liferay.
 layout.internal.security.permission.resource.LayoutModelResourcePermi
 ssion.xml,OSGI-INF/com.liferay.layout.internal.template.util.DefaultL
 ayoutConverter.xml,OSGI-INF/com.liferay.layout.internal.template.util
 .LayoutConverterRegistryImpl.xml,OSGI-INF/com.liferay.layout.internal
 .util.BulkLayoutConverterImpl.xml,OSGI-INF/com.liferay.layout.interna
 l.util.LayoutCopyHelperImpl.xml,OSGI-INF/com.liferay.layout.internal.
 util.LayoutsTreeImpl.xml,OSGI-INF/com.liferay.layout.internal.util.Si
 temapImpl.xml,OSGI-INF/com.liferay.layout.internal.workflow.LayoutWor
 kflowHandler.xml,OSGI-INF/com.liferay.layout.internal.workflow.defini
 tion.link.update.handler.LayoutRevisionWorkflowDefinitionLinkUpdateHa
 ndler.xml,OSGI-INF/com.liferay.layout.internal.xstream.configurator.L
 ayoutXStreamConfigurator.xml
Tool: Bnd-5.3.0.202102221516

